
/************************************************/
/**                                            **/
/**                 GENERAL                    **/
/**                                            **/
/************************************************/



/*A ajouter dans le style.css plus tard*/
.bloc-right.float-detail-produit .variations .label,
.bloc-right.float-detail-produit .variations .reset_variations,
.bloc-right.float-detail-produit .single_variation_wrap label{display: none !important;}
.bloc-right.float-detail-produit .variations, .bloc-right.float-detail-produit .single_variation_wrap {width: 100%;}
.bloc-right.float-detail-produit .cart button{pointer-events: auto !important;}
#content .woocommerce #payment {background-color: #fff;}
#content .woocommerce-checkout #payment div.payment_box::before {display: none;}
#content .woocommerce .payment_box.payment_method_cheque {background-color: transparent !important; margin: 0 !important; padding: 0 !important;}
#content .woocommerce label.payment_method_cheque {padding-left: 0 !important;}
#content .woocommerce .wc_payment_method.payment_method_cheque p {color: var(--couleur-principale) !important; font-size: 16px; font-weight: 300; margin: 0 !important;}
#content .woocommerce-terms-and-conditions-wrapper p {color: var(--couleur-form-input) !important; font-size: 14px; font-weight: 300;}
.woocommerce a {color: var(--couleur-secondaire); transition: all 150ms ease-in-out;}
.woocommerce a:hover {color: var(--couleur-secondaire-light);}
#content .woocommerce-MyAccount-navigation ul li span{ font-weight:300; font-size:0.9em; font-style:italic; }
.mes-centres, .mes-enfants {display: flex; flex-wrap: wrap;}
.mes-centres h1{width: 100%;}
.mes-centres .woocommerce-MyAccount-navigation, .mes-enfants .woocommerce-MyAccount-navigation{margin-right: 2rem;}
.mes-centres .woocommerce-MyAccount-content, .mes-enfants .woocommerce-MyAccount-content{width: calc(100% - 230px - 2rem);}
#content .woocommerce, #main .woocommerce{margin: auto; max-width: 1160px;padding-left: 15px; padding-right: 15px;padding-top: 40px;padding-bottom: 40px;}
#content .woocommerce-MyAccount-content p {max-width: 100%;}
.woocommerce-variation-add-to-cart.variations_button{text-align: center;}
.woocommerce-variation-availability, .woocommerce-variation-availability p{text-align: center; color:var(--couleur-principale) !important;}

.woocommerce p {color: var(--couleur-principale);}
.woocommerce-error, .woocommerce-info, .woocommerce-message { padding: 1em 2em 1em 3.5em !important;}

/************************************************/
/**                                            **/
/**            FORMULAIRE GENERIQUE            **/
/**                                            **/
/************************************************/

.woocommerce form {display: flex; flex-wrap: wrap;}
.woocommerce form label {font-size: 16px; font-family: 'Roboto', sans-serif; color: var(--couleur-principale); font-weight: 500; display: block; padding-left: 15px !important; margin-bottom: 8px;}
.woocommerce form input, form select, .woocommerce form textarea {border: 0.5px solid var(--couleur-principale); border-radius: 15px; padding: 20px 16px; color: var(--couleur-form-input); font-size: 16px; font-weight: 300;}
#content .woocommerce form input:focus-visible,#content .woocommerce form select:focus-visible,#content .woocommerce form textarea:focus-visible {outline: none;}
#content .woocommerce form input[type="submit"],#content .woocommerce button[type="submit"],#content .woocommerce a.checkout-button {background-color: var(--couleur-focus); color: #fff; padding: 16px 32px; border-radius: 5px ; transition: all 150ms ease-in-out; display: flex; margin-left: auto; border: 1px solid var(--couleur-focus); cursor: pointer;}
#content .woocommerce a.checkout-button.disable{opacity: 0.5; cursor: default;}
.woocommerce-button--next, .woocommerce-button--previous {background-color: var(--couleur-secondaire) !important; color: #fff !important; padding: 16px 32px !important; border-radius: 5px !important; transition: all 150ms ease-in-out; display: flex; margin-left: auto; border: 1px solid var(--couleur-secondaire) !important; cursor: pointer;}
.woocommerce-button--next:hover, .woocommerce-button--previous:hover  {transform: scale(1.08); background-color: #fff !important; color: var(--couleur-secondaire) !important;}
#content .woocommerce form input[type="submit"]:hover,#content .woocommerce button[type="submit"]:hover, a.checkout-button:hover {transform: scale(1.08); background-color: #fff; color: var(--couleur-focus);}
#content .woocommerce a.checkout-button:hover {border: 1px solid var(--couleur-focus) !important;}
#content .woocommerce form input[type="file"] {font-size: 12px !important;}
#content .woocommerce form input::file-selector-button {background-color: transparent; color: var(--couleur-secondaire); font-family: 'Roboto', sans-serif; font-size: 16px; border: none; cursor: pointer;}
#content .woocommerce form input#email,#content .woocommerce form input#password {background-color: #fff;}

#content .woocommerce form input[type="radio"],#content .woocommerce form input[type="checkbox"] {margin-right: 16px !important; -webkit-appearance: none; -moz-appearance: none; -ms-appearance: none; -o-appearance: none; appearance: none; background-color: #fff; margin: 0; font: inherit; color: var(--couleur-principale);border: 0.5px solid var(--couleur-principale);}
#content .woocommerce form input[type="radio"]{padding: 7px;  }
#content .woocommerce form input[type="checkbox"] {border-radius: 11px !important; padding: 2px !important; height: 37px; width: 37px; border-radius: 7px; vertical-align: middle;}
#content .woocommerce form input:checked { border-width: 0.5px; outline: none; }
#content .woocommerce form input[type="radio"]::before,#content .woocommerce form input[type="checkbox"]::before { content: ""; width: 20px; height: 20px; transform: scale(0); transition: 120ms all ease-in-out; background-color: var(--couleur-principale);  display: block; }
#content .woocommerce form input[type="radio"]::before { border-radius: 5px; }
#content .woocommerce form input[type="checkbox"]::before { border-radius: 7px; margin: 7px; }
#content .woocommerce form input[type="radio"]:checked::before,#content .woocommerce form input[type="checkbox"]:checked::before {  transform: scale(1); }

/* Classe checked yellow pour les btn radio jaune*/
#content .woocommerce form .checked-yellow input[type="radio"]::before {background-color: var(--couleur-focus);}




/************************************************/
/**                                            **/
/**                 WOOCOMMERCE                **/
/**                                            **/
/************************************************/

#content .woocommerce-MyAccount-header {background-color: #fff;}

#content .woocommerce-MyAccount-navigation ul {list-style: none;}
#content .woocommerce-MyAccount-navigation li {border: 1px solid var(--couleur-secondaire-light); border-top: none;}
#content .woocommerce-MyAccount-navigation li a {padding: 20px; display: block; color: var(--couleur-principale); transition: all 200ms ease-in-out;}
#content .woocommerce-MyAccount-navigation li a:hover {font-weight: 700;}
#content .woocommerce-MyAccount-navigation ul li:first-of-type {border-top:  1px solid var(--couleur-secondaire-light);}
#content .woocommerce-MyAccount-navigation ul li.is-active {background-color: var(--couleur-principale); border-color: var(--couleur-principale);}
#content .woocommerce-MyAccount-navigation ul li.is-active a {color: #fff !important;}

.woocommerce form h3 {text-align: left !important;}
h3#order_review_heading {margin-top: 40px; margin-bottom: 15px;}

#content .woocommerce form.checkout>div .col-1 {margin-bottom: 40px;}
#content .woocommerce form.checkout>div .col-1, .woocommerce form.checkout>div .col-2 {width: 100%; float: none;}
#content .woocommerce table {color: var(--couleur-principale); border: none !important;}
#content .woocommerce table td.product-name, .woocommerce address, .woocommerce-MyAccount-content p, table.woocommerce-table--order-details th {font-weight: 400 !important;}
#content .woocommerce address {border: none !important;}

#content .woocommerce a.remove {color: var(--couleur-rouge) !important;}

#cancellation-form label {width: 100%; margin-top: 20px;}
#cancellation-form label + input, #cancellation-form label + textarea {width: 100%;}

#content .woocommerce p.form-row {float: none !important; width: 100%;}
#content .woocommerce .woocommerce-info {background-color: transparent; font-weight: 300;}
#content .woocommerce mark {background-color: transparent !important; font-weight: 500;}

.coupon {display: flex; align-items: center;}
button[name="apply_coupon"] {background-color: transparent !important; color: var(--couleur-principale) !important; padding: 0 !important; padding-left: 10px !important; border: none !important; text-align: left;}
button[name="apply_coupon"]:hover {color: var(--couleur-secondaire) !important; transform: none !important;}
input[name="coupon_code"] {width: 170px !important;}

.woocommerce table.shop_table_responsive tr td::before, .woocommerce-page table.shop_table_responsive tr td::before {float: none !important;}

a.woocommerce-button.view {background-color: transparent; font-weight: 400; color: var(--couleur-secondaire) !important;}
a.woocommerce-button.view:hover {background-color: transparent; color: var(--couleur-secondaire-light) !important;}
table.woocommerce-orders-table {font-size: 16px !important; font-weight: 400;}

/*.woocommerce-account .woocommerce-MyAccount-content {float: none; width: auto;}
.woocommerce-MyAccount-navigation {float: none;}*/
.woocommerce-MyAccount-navigation {margin-bottom: 30px;}

.woocommerce-Address {margin: 30px 0;}
.woocommerce-Address-title.title {background-color: transparent;  padding: 0 0 15px;}
.woocommerce-Address-title.title h3 { font-size: 22px; font-family: 'Roboto', sans-serif; color: var(--couleur-secondaire); text-transform: uppercase;}
.woocommerce-Address-title.title a {padding: 8px 0; display: block;}
.woocommerce-Address-title.title h3, .woocommerce-Address-title.title a {float: none !important;}
.woocommerce address {font-style: normal; color: var(--couleur-principale);}


.woocommerce table.shop_table_responsive tr td, .woocommerce-page table.shop_table_responsive tr td {text-align: left !important; border-top: none;}
.shop_table_responsive tr.woocommerce-orders-table__row {border-bottom: 0.5px solid var(--couleur-secondaire); padding: 12px 0;}
.woocommerce table.shop_table_responsive tr:nth-child(2n) td, .woocommerce-page table.shop_table_responsive tr:nth-child(2n) td {background-color: transparent !important;}


#add_payment_method .cart-collaterals .cart_totals table th, .woocommerce-cart .cart-collaterals .cart_totals table th, .woocommerce-checkout .cart-collaterals .cart_totals table th {
  width: 65%;
}

.woocommerce .cart_totals table.shop_table_responsive tr td,
.woocommerce table.shop_table_responsive tr .product-price,
.woocommerce table.shop_table_responsive tr .product-subtotal {text-align: right !important;}

table.account-orders-table {border-collapse: collapse !important;}

.single-product .woocommerce-message, .woocommerce-cart .woocommerce-message {background-color: #fff; color: var(--couleur-secondaire-light); font-weight: 500; border-top-color: var(--couleur-secondaire-light); bottom: -80px; border-width: 0;}
.single-product .woocommerce-message::before, .woocommerce-cart .woocommerce-message::before {color: var(--couleur-secondaire-light);}


.single-product .woocommerce-error, .woocommerce-cart .woocommerce-error {background-color: #fff; color: var(--couleur-rouge); border-top-color: var(--couleur-rouge); border-width: 0;}
.single-product .woocommerce-error, .single-product .woocommerce-message {bottom: -80px;}

.single-product .woocommerce-error::before, .woocommerce-cart .woocommerce-error::before {color:  var(--couleur-rouge);}
.single-product .button.wc-forward {background-color: var(--couleur-focus); color: #fff; padding: 16px 32px; border-radius: 5px ; transition: all 150ms ease-in-out; display: none; margin-left: auto; border: 1px solid var(--couleur-focus); cursor: pointer;}
.single-product .button.wc-forward:hover {transform: scale(1.08); background-color: #fff; color: var(--couleur-focus);}



.votre-cse .woocommerce-orders-table__row .woocommerce-orders-table__cell:last-of-type, .votre-cse thead tr .woocommerce-orders-table__header:last-of-type {text-align: right;}
.form-cse form {flex-direction: column; margin-top: 2rem;}
.form-cse .row {display: flex;align-items: flex-end; margin: 10px 0;}
.form-cse .row div {width: 100%;}
.form-cse .row .commentaire, .form-cse .row #importcse {width: 100%;}
.form-cse input[type="submit"] {margin-top: 25px !important; padding: 16px 32px !important;}
.votre-cse .btn-telecharger {display: flex; margin-left: auto;}
.votre-cse .btn-telecharger a {background-color: var(--couleur-focus); color: #fff; padding: 16px 32px; border-radius: 5px ; transition: all 150ms ease-in-out; margin-left: auto; border: 1px solid var(--couleur-focus); cursor: pointer;}
.votre-cse .btn-telecharger a:hover {background-color: #fff; color: var(--couleur-focus); transform: scale(1.08);}

.en-attente-message{max-width:none;}

.single-product .cart label[for=enfant]{display: none;}
.single-product .wc-bookings-booking-form{margin: 0px;padding: 0px;border: 0px;width: 100%;}
.single-product .wc-bookings-date-picker-date-fields{display: flex;}
.single-product .ui-datepicker .ui-datepicker-header{    background-image: none;border-radius: 0px; border: 0;background-color: transparent;color: var(--couleur-principale);font-family: 'roboto', sans-serif;font-size: 26px;font-weight: 400;text-transform: capitalize;}
.single-product .wc-bookings-date-picker .ui-datepicker .ui-datepicker-prev,.single-product .wc-bookings-date-picker .ui-datepicker .ui-datepicker-next{background-color: transparent;height: 100%;}
.single-product .wc-bookings-booking-form fieldset{padding: 10px;border-radius: 20px;border: 1px solid var(--couleur-tertiaire-light); margin-bottom: 15px; font-family: 'Be Vietnam Pro', sans-serif;font-weight: 300;overflow: auto;}
.single-product .ui-widget.ui-widget-content{border: 0px;box-shadow: none;}
.single-product .wc-bookings-date-picker .ui-datepicker .ui-datepicker-next span{background-image: url(/wp-content/uploads/2023/08/fleche-suivant.svg);background-position: center;background-size: contain;}
.single-product .wc-bookings-date-picker .ui-datepicker .ui-datepicker-prev span{background-image: url(/wp-content/uploads/2023/08/fleche-precedent.svg);background-position: center;background-size: contain;}
.single-product .wc-bookings-date-picker .ui-datepicker td{border: 0px;font-size: 12px;font-weight: 400;color: var(--couleur-principale);border-radius: 2.333em;}
.single-product .wc-bookings-date-picker .ui-datepicker td.ui-state-disabled{opacity: 1;}
.single-product .wc-bookings-date-picker .ui-datepicker td.bookable-range .ui-state-default{background-color: var(--couleur-secondaire-light) !important;color: white;}
.single-product .wc-bookings-date-picker .ui-datepicker td.bookable a{background-color: var(--couleur-focus) !important;}
.single-product .wc-bookings-date-picker .ui-datepicker td .ui-state-default{border-radius: 50px;padding: 5px;width: 25px;height: 23px;margin: 5px auto;line-height: 14px;color: var(--couleur-principale);}
.single-product .wc-bookings-date-picker .ui-datepicker th{border-top: 0px;}
.single-product  .wc-bookings-date-picker .ui-datepicker td.ui-datepicker-other-month{background-color: transparent;}
.single-product .wc-bookings-date-picker .ui-datepicker th{padding: 2px 0!important;text-align: center; font-size: 12px;color: black;font-weight: bold;}
.single-product .ui-datepicker-title{font-size: 20px;}
.single-product .wc-bookings-booking-form .wc-bookings-booking-cost{    background-color: var(--couleur-secondaire);color: var(--couleur-blanc);padding: 20px 25px; border-radius: 25px; border: 0px; margin: auto;margin-bottom: 15px;    font-family: 'roboto', sans-serif;font-weight: 400; font-size: 18px;}
.single-product .wc-bookings-booking-form .wc-bookings-booking-cost strong{display: block;font-size: 20px; font-weight: 600;}

.single-produit-content .tabs-container h2, .detail-produit .bloc-left h2 {text-align: left; text-transform: initial;}

/************************************************/
/**                                            **/
/**                  COMMANDES                 **/
/**                                            **/
/************************************************/

#show-cancellation-form {background-color: var(--couleur-rouge); font-size: 16px; border-radius: 15px; padding: 20px 16px; border: 1px solid var(--couleur-rouge); cursor: pointer; color: #fff; transition: all 150ms ease-in-out;}
#show-cancellation-form:hover {background-color: #fff; color: var(--couleur-rouge); transform: scale(1.08);}
.woocommerce .woocommerce-order-details, .woocommerce .woocommerce-customer-details {margin: 40px 0;}


.woocommerce-checkout #payment .wc_payment_methods.payment_methods {border: none;}
.woocommerce-checkout #payment .wc_payment_methods.payment_methods li {margin: 10px 0;}
.woocommerce-checkout #payment .wc_payment_methods.payment_methods input {vertical-align: middle;}
.woocommerce-checkout #payment .wc_payment_methods.payment_methods label {display: inline;}
.woocommerce-checkout #payment .wc_payment_methods.payment_methods .payment_box  {background-color: transparent; margin: 0; margin-top: 5px !important; margin-bottom: 25px !important; padding: 0;}
.woocommerce-checkout #payment .wc_payment_methods.payment_methods .payment_box p  {color: var(--couleur-form-input) !important; font-size: 14px; font-weight: 300; margin: 0;}
.woocommerce-checkout #payment button[type="submit"] {max-width: max-content;}
.woocommerce a.checkout-button {max-width: max-content;}

.woocommerce-checkout .woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received {color: var(--couleur-secondaire); font-weight: 500; padding-bottom: 20px;}
.woocommerce-checkout ul.woocommerce-order-overview {display: flex; flex-direction: column;}
.woocommerce-checkout ul.woocommerce-order-overview li {color: var(--couleur-principale); margin: 8px; border-right: none;}
.woocommerce-checkout table, table.woocommerce-orders-table.my_account_orders.shop_table {border-collapse: collapse !important;}
.woocommerce-checkout table tr, table.woocommerce-orders-table.my_account_orders.shop_table tr {border-top: 0.5px solid var(--couleur-secondaire) !important;}

form.woocommerce-cart-form .product-quantity {display: none;}
.woocommerce-cart-form table {border-collapse: collapse !important;}
form.woocommerce-cart-form tbody {border-top: 0.5px solid var(--couleur-secondaire);}
form.woocommerce-cart-form tbody .woocommerce-cart-form__cart-item {border-bottom: 0.5px solid var(--couleur-secondaire);}
form.woocommerce-cart-form tbody tr:not(.woocommerce-cart-form__cart-item) td {padding-top: 30px !important;}

.woocommerce-cart-form .product-thumbnail {display: none;}

/************************************************/
/**                                            **/
/**                      LOGIN                 **/
/**                                            **/
/************************************************/

.page-login-flex {flex-wrap: wrap; gap: 30px;}
.woocommerce .form-login-connexion h2, .woocommerce .form-login-inscription h2  {font-family: "Nunito", sans-serif; font-size: 36px !important; text-transform: none;}
.woocommerce .form-login-connexion h2 {color: var(--couleur-focus) !important; }
.woocommerce .form-login-inscription h2 {color: var(--couleur-principale) !important;}

form.woocommerce-form-login {border: none !important; flex-direction: column;}
.form-login-connexion form.woocommerce-form-login {padding: 0 !important; margin: 0;}
.woocommerce label.woocommerce-form-login__rememberme {padding-left: 0 !important; margin-bottom: 30px;}
form.woocommerce-form-login p.form-row:nth-child(3) {display: flex; flex-direction: column;}
form.woocommerce-form-login p.form-row:nth-child(3) button[type="submit"] {float: none; margin-left: 0 !important; max-width: max-content;}
form.woocommerce-form-login .lost_password a {color: var(--couleur-focus) !important; font-size: 12px !important; text-decoration: underline;}
.form-login-connexion, .form-login-inscription {width: 100%;}
.form-login-inscription #custom-registration-form {gap: 15px;}
.form-login-inscription #custom-registration-form p {width: 100%; max-width: 100%; margin: 0;}
.form-login-inscription #custom-registration-form p label {line-height: 2;}
.form-login-inscription #custom-registration-form .form-inscription-caf, .form-login-inscription #custom-registration-form .form-inscription-submit {width: 100%;}
.form-login-inscription #custom-registration-form .form-inscription-submit {margin-top: 25px;}
.form-login-inscription #custom-registration-form p input {width: 100%;}
.form-login-inscription #custom-registration-form input[type="submit"] {max-width: max-content; margin: auto !important; font-weight: 600;}
.form-login-connexion .form-row {max-width: 100%;}
.form-inscription-mailing {width: 100% !important; margin-top: 8px !important;}
.form-inscription-mailing label[for="checkbox_brevo"] {display: inline !important; padding-left: 0 !important; font-weight: 300 !important; font-size: 14px !important;}
.form-inscription-mailing input#checkbox_brevo {margin-right: 5px !important;}




/************************************************/
/**                                            **/
/**              DETAIL DU COMPTE              **/
/**                                            **/
/************************************************/

.woocommerce-EditAccountForm em {font-size: 12px; font-weight: 300; color: var(--couleur-form-input); font-style: normal; line-height: normal;}
fieldset.new-password {border: 0.5px solid var(--couleur-principale); padding: 15px !important; margin: 30px 0;}
fieldset.new-password legend {color: var(--couleur-secondaire); text-transform: uppercase; font-size: 22px !important; font-weight: 700; padding-left: 0;}
.woocommerce-EditAccountForm.edit-account .row {flex-wrap: wrap;}

.row.row-num-caf p,.row.row-num-mobile p, .row.row-attestation-caf p, .row.row-justificatif-cse p {width: 100% !important;}
.row.row-num-caf input, .row.row-num-mobile input, .row.row-attestation-caf input, .row.row-justificatif-cse input {width: 100%;}
.row.row-attestation-caf, .row.row-justificatif-cse {width: 100% !important;}
.row.row-attestation-caf a, .row.row-justificatif-cse a {display: flex; justify-content: end; font-weight: 300; font-size: 14px; padding: 5px 0 0;}
.woocommerce-MyAccount-navigation-link--members-area{display: none;}

/************************************************/
/**                                            **/
/**               VOS ENFANTS                  **/
/**                                            **/
/************************************************/


.vos-enfants-title,.votre-cse-title {margin: 35px 0 50px; flex-wrap: wrap; justify-content: center; gap: 30px;  align-items: center;}
#content .woocommerce .vos-enfants-title a, #content .woocommerce .votre-cse-title a {background-color: var(--couleur-secondaire); color: #fff !important; padding: 15px 25px; transition: all 200ms ease-in-out; border-radius: 15px; display: block; border: 1px solid var(--couleur-secondaire);}
.vos-enfants-title a::after, #content .woocommerce .votre-cse-title a::after {content: '+'; margin-left: 20px; font-size: 30px; font-weight: 300; display: inline-block; vertical-align: sub; }
.vos-enfants-title a:hover {transform: scale(1.08); background-color: #fff; color: var(--couleur-secondaire) !important;}
.row-id-enfant {border-bottom: 1px solid var(--couleur-secondaire); margin: 30px 0;}
.row-id-enfant:last-of-type {margin-bottom: 70px;}
.row-id-enfant>div {flex-wrap: wrap; justify-content: space-between; width: 100%; }
.id-famille h3 {font-size: 22px; font-family: 'Roboto', sans-serif; color: var(--couleur-secondaire);}
.id-famille h3 span {text-transform: uppercase;}
.id-famille p {color: var(--couleur-secondaire-light); font-size: 13px; margin: 0;}
.id-famille p span {color: var(--couleur-secondaire); font-size: 16px;}
.row-id-famille {gap: 15px; flex-wrap: wrap;}
.id-famille {width: 100%;}
.id-famille p span.adhesion { color: white; background-color: var(--couleur-secondaire); padding: 3px 10px; border-radius: 5px; margin-left: 10px; }

p.id-famille-warning {width: 100%; max-width: 100%; font-weight: 300; font-size: 13px; color: var(--couleur-rouge);}
p.id-famille-warning::before {content: url(/wp-content/uploads/sites/3/2023/10/Icon-warning.svg); display: inline-block; height: 15px; width: 15px; margin-right: 10px;}

.id-famille-btn {gap: 15px; margin-top: 20px; width: 100%;}
a.id-famille-btn-modifier, button.delete-button, a.delete-button {display: flex; justify-content: center; align-items: center; height: 50px; border-radius: 13px; color: #fff !important; transition: all 200ms ease-in-out;}
a.id-famille-btn-modifier:hover, button.delete-button:hover, a.delete-button:hover {transform: scale(1.08); background-color: #fff;}
a.id-famille-btn-modifier:hover, a.id-famille-btn-modifier:hover::after {color: var(--couleur-focus) !important; filter: none;}
button.delete-button:hover,a.delete-button:hover {color: var(--couleur-rouge) !important;}
a.id-famille-btn-modifier {background-color: var(--couleur-focus); font-size: 14px; text-transform: uppercase; padding: 0 25px; border: 1px solid var(--couleur-focus); }
button.delete-button, a.delete-button {background-color: var(--couleur-rouge);  padding: 0 15px; border: 1px solid var(--couleur-rouge); font-size: 20px; cursor: pointer;}

a.id-famille-btn-modifier::after {content: ''; background-image: url(/wp-content/uploads/sites/3/2023/10/icone-crayon-jaune.svg); background-repeat: no-repeat; background-size: contain; height: 20px; width: 20px; display: inline-flex; margin-left: 20px; filter: saturate(0) brightness(10);}

form.updatecse{display: flex; gap: 30px; margin-top: 20px; justify-content: space-between; align-content: center; align-items: center;}
.btncse{display: flex; gap: 15px; flex-wrap: wrap;}
.woocommerce-variation.single_variation{display: block !important;}
.bloc-right.float-detail-produit .cart .single_variation_wrap .amount bdi{display: flex; flex-direction: row-reverse;margin-left: 7px;}
.bloc-right.float-detail-produit .woocommerce-variation-price {background-color: var(--couleur-secondaire); color: var(--couleur-blanc); padding: 20px 25px; border-radius: 25px; margin-bottom: 15px;}
.bloc-right.float-detail-produit .woocommerce-variation-price .price:before{content:'Prix'; display: block; font-family: 'roboto', sans-serif; font-weight: 400; font-size: 18px;}
.bloc-right.float-detail-produit .woocommerce-variation-price .price .amount span{content:"A partir de "; font-weight: 400; font-size: 18px;}
.bloc-right.float-detail-produit .woocommerce-variation-price .price .amount{font-size: 20px; font-weight: 600; display: flex; align-items: flex-end;}

.woocommerce .edit-account .row{display: flex;width: 100%;}
.woocommerce .edit-account .row p{margin-left: 15px; margin-right: 15px;}
.woocommerce .edit-account fieldset{width: 100%; padding: 0 15px;}

.variation dd p, .variation dt p{ display:inline; }


/************************************************/
/**                                            **/
/**        FORMULAIRE MODIF ADRESSE            **/
/**                                            **/
/************************************************/

.woocommerce-edit-address .woocommerce form {display: block;}
.woocommerce-edit-address .woocommerce-address-fields__field-wrapper {display: flex; flex-wrap: wrap; gap: 15px;}




/************************************************/
/**                                            **/
/**        FORMULAIRE AJOUT ENFANT             **/
/**                                            **/
/************************************************/


.field-anniversaire[data-name="email_anniversaire"] {padding: 0 16px 16px !important;}

.field-anniversaire[data-name="email_anniversaire"] span {font-size: 16px !important;}
.acf-accordion .acf-label.acf-accordion-title label {font-size: 16px !important;}

#form-enfant, .form-rubrique {padding: 0 !important;}
main.ajouter-un-enfant .single-article-content {padding-bottom: 50px;}
form table.acf-table, form .acf-fields, form .acf-field {border: none !important;}
form .row-autorisation td.acf-row-handle.remove {display: block; background: white; border: 0;}
form td.acf-row-handle {display: none;}
form .row-autorisation .acf-icon.-minus {display: block;}
form .row-autorisation .acf-row:not(acf-clone){display: flex !important;  background-color: white;}
form .row-autorisation .acf-icon.-duplicate, form .row-autorisation .acf-icon.-plus {display: none !important;}
form>.acf-label:first-of-type {display: none;}

form input, form select, form textarea, .woocommerce form select + span {border: 0.5px solid var(--couleur-principale); border-radius: 15px; padding: 20px 16px !important; color: var(--couleur-form-input); font-size: 16px; font-weight: 300; }
form textarea {color: var(--couleur-principale);}
form textarea::placeholder, form input::placeholder, form select {color: var(--couleur-form-input); font-size: 16px; font-weight: 300; font-family: 'Roboto', sans-serif;}
.woocommerce form select + span .selection>span {border: none;}
form label {padding-left: 15px;}
form span.acf-required, form label, form .required {color: var(--couleur-principale) !important; font-size: 16px;}
form .form-rubrique>.acf-label>label, form h3, .woocommerce h2 {color: var(--couleur-secondaire) !important; text-transform: uppercase; text-align: left; font-size: 22px !important; font-weight: 700 !important; margin-bottom: 30px !important; padding-left: 0;}

form label.selected {font-size: 16px;}
form input:focus {outline: none;}
form input[type="radio"], form input[type="checkbox"] {margin-right: 16px !important; -webkit-appearance: none; -moz-appearance: none; -ms-appearance: none; -o-appearance: none; appearance: none; background-color: #fff; margin: 0; font: inherit; color: var(--couleur-principale);border: 0.5px solid var(--couleur-principale);}
form input[type="radio"]{padding: 7px !important;  border-radius: 11px;}
form input[type="checkbox"] {padding: 0 !important; height: 20px; width: 20px; border-radius: 7px; vertical-align: middle;}
form input:checked { border-width: 0.5px; outline: none; }
form input[type="radio"]::before, form input[type="checkbox"]::before { content: ""; width: 20px; height: 20px; transform: scale(0); transition: 120ms all ease-in-out; background-color: var(--couleur-principale);  display: block; }
form input[type="radio"]::before { border-radius: 5px; }
form input[type="checkbox"]::before { border-radius: 7px; }

form .checked-yellow input[type="radio"]::before {background-color: var(--couleur-focus);}
form input[type="radio"]:checked::before, form input[type="checkbox"]:checked::before {  transform: scale(1); }



form select { -moz-appearance:none; /* Firefox */  -webkit-appearance:none; /* Safari and Chrome */ appearance:none;  border: 1px solid var(--couleur-secondaire); color: var(--couleur-secondaire); border-radius: 20px; width: 100%; font-size: 16px; padding: 12px 25px !important; padding-right: 25px; margin-bottom: 15px; background-image: url(/wp-content/uploads/pictos/fleche-select-centre.svg); background-repeat: no-repeat; background-position: calc(100% - 20px) center; appearance: none; font-family: 'Be Vietnam Pro', sans-serif; font-weight: 300; text-overflow: ellipsis; padding-right: 40px !important; max-width:340px; }
form #checkbox-handicap {display: flex; flex-direction: column-reverse;}
form #checkbox-handicap>.acf-label label{ display: none;}
form #checkbox-handicap .description {font-size: 12px; font-weight: 300 !important; color: var(--couleur-form-input); margin-top: 0; line-height: normal;}
form #checkbox-handicap label {padding-left: 0 !important;}

form .input-no-label>.acf-label label {display: none;}
form .input-no-label input {margin-right: 12px !important;}
form .input-no-label .message {font-size: 12px;}
form .reverse-col {display: flex; flex-direction: column-reverse; justify-content: flex-end;}
form .reverse-col .description {font-size: 12px; font-weight: 300;}


.rubrique-fiche-sanitaire .column-layout-1_2 {width: 100% !important;}
form .rubrique-fiche-sanitaire input[type="date"] {padding: 9px 14px !important; border-radius: 18px; }
form ::-webkit-calendar-picker-indicator { background: none; }

form .rubrique-fiche-sanitaire div>.acf-field-columngroup:nth-child(2) {width: 40%;}


.before-bullet label {padding-left: 0 !important;}
.before-bullet label::before {content: '•'; display: inline-block; font-weight: 800; margin-right: 5px; }

/*form input[value="Autres"]::after {content: "Préciser dans « Observations »"; display: block; width: 100%; font-size: 12px; color: var(--couleur-form-input); word-wrap: normal; font-weight: 300; }*/
form .list-vaccins ul {display: flex; flex-flow: row wrap; gap: 10px;}
form .list-vaccins ul::before {display: none;}
form .list-vaccins ul li {width: calc(50% - 5px); font-size: 14px; }
form .list-vaccins ul li label {padding-left: 0 !important;}

.rubrique-autorisations {margin-bottom: 15px !important;}
.rubrique-autorisations .message {font-size: 16px !important;}
/*.rubrique-autorisations .message::after {font-size: 12px; color: var(--couleur-form-input); font-weight: 300;}*/

form .acf-actions {text-align: left !important;}
form a.acf-repeater-add-row {float: none !important; text-align: left; color: var(--couleur-principale) !important; display: inline-flex; align-items: center; padding: 0; background-color: transparent !important; font-weight: 400 !important;}
form a.acf-repeater-add-row::before {content: '+'; width: 42px; height: 42px; background-color: var(--couleur-focus); border-radius: 15px;  display: inline-flex; margin-right: 12px; justify-content: center; align-items: center; font-size: 30px; font-weight: 300; vertical-align: middle; }


.row-autorisation .acf-fields {gap: 10px;}
.row-autorisation .acf-fields .input-no-label {padding: 0;}

.booking_date_warning{ padding: 0.5rem; }
.booking_date_warning:before{content: url('/wp-content/uploads/2024/01/exclamation_545684.svg'); width: 20px; height: 20px; position: relative; display: inline-block; margin-right: 5px;}
.rubrique-autorisations + .column-layout-1_2 .acf-field, .rubrique-autorisations + .column-layout-1_2 + .column-layout-1_2 .acf-field {padding: 5px !important;}

.rubrique-enfant .acf-field {width: 100%;}

form .acf-button {transition: all 150ms ease-in-out; }
form a.acf-button:hover {transform: scale(1.08);}

input.button-form-enfant {background-color: var(--couleur-focus); color: #fff !important; padding: 16px 32px !important; border-radius: 5px !important; transition: all 150ms ease-in-out; display: flex; margin-left: auto; border: 1px solid var(--couleur-focus) !important;}
input.button-form-enfant:hover {transform: scale(1.08); background-color: #fff !important; color: var(--couleur-focus) !important;}

form .acf-actions {display: none;}
form .btn-autorisation .acf-actions {display: block;}
form>.acf-form-submit {margin-left: auto;}
.cart-contents-count {
	position: absolute;
   	right: -5px;
   	transform: translateY(-105%) translateX(25%);
	font-family: Arial, Helvetica, sans-serif;
	font-weight: normal;
	font-size: 12px;
	line-height: 22px;
	height: 22px;
   	width: 22px;
	vertical-align: middle;
	text-align: center;
	color: var(--couleur-principale);
	background: #fff;
	border-radius: 50%;
	padding: 1px 3px;  
}
.cart-contents {
    position: relative;
}

@media (max-width: 767px) { 
    form .acf-field {width: 100% !important; padding: 0;}
    form .form-rubrique .acf-fields {gap: 20px;}
 }

 @media (min-width: 768px) { 
   form .rubrique-fiche-sanitaire div>.column-layout-1_4 {flex: 1;}
   .field-anniversaire[data-name="email_anniversaire"] label {padding-left: 0 !important;}
   form.woocommerce-cart-form tbody .woocommerce-cart-form__cart-item td {padding: 20px 12px !important}

   .woocommerce .cart-collaterals .cart_totals, .woocommerce-page .cart-collaterals .cart_totals {
      float: right;
      width: initial;
    }
   .rubrique-autorisations {margin-bottom: 30px !important;}
   form #checkbox-handicap .description {margin-left: 39px;}
   .woocommerce-checkout table td, .woocommerce-checkout table tfoot th, table.woocommerce-orders-table.my_account_orders.shop_table td, table.woocommerce-orders-table.my_account_orders.shop_table th {border: none !important; padding: 20px 12px !important;}

  .form-cse .row div {width: 50%;}
   .woocommerce-checkout ul.woocommerce-order-overview li {border-right: 0.5px solid var(--couleur-secondaire);}
   .woocommerce-checkout ul.woocommerce-order-overview {flex-direction: row;}
   .single-product .woocommerce-error, .woocommerce-cart .woocommerce-error, .single-product .woocommerce-message  {bottom: 0; border-width: 3px;}
   .single-product .button.wc-forward {display: flex;}
   form .form-rubrique>.acf-label>label, form h3, .woocommerce h2 {text-align: center; }
  td.woocommerce-orders-table__cell {padding: 20px 8px !important;}
  #content .woocommerce-MyAccount-navigation {max-width: 230px;}
   #form-enfant .acf-accordion-content{display: block;}
   #form-enfant  .acf-accordion-title{display: none;}
   .row-id-enfant:last-of-type {margin-bottom: 90px;}
   .vos-enfants-title, .votre-cse-title {justify-content: space-between; margin: 0 0 50px 0; }
   .row-id-enfant {margin: 20px 0;}
   .id-famille-btn {margin-top: 0; width: auto;}
   .id-famille p {margin: 10px 0;}
   .row-id-famille {gap: 15px; flex: 1;}
    main.ajouter-un-enfant .single-article-content {padding-bottom: 80px;}
    form .rubrique-fiche-sanitaire input[type="date"] {width: 200px;}
    form .list-vaccins ul {gap: 20px 15px;}
    form .list-vaccins ul li {width: calc(50% - 8px); font-size: 16px;}

    form input[value="Autres"]::after {margin-left: 39px; }

    .row-autorisation {margin-top: 25px !important;}
    .rubrique-autorisations + .column-layout-1_2, .rubrique-autorisations + .column-layout-1_2 + .column-layout-1_2 {width: 100% !important;}
    form td.acf-fields {gap: 30px;}
 }

 @media (min-width: 1060px) { 
   #num_secu {display: flex; flex-direction: column; justify-content: end;}
   .row-autorisation .acf-fields .input-no-label {padding: 10px 0; width: calc(33% - 5px) !important;}
   .page-login-flex {gap: 50px;}
   .form-login-inscription #custom-registration-form p {width: calc(50% - 8px);}
   .form-login-connexion, .form-login-inscription {width: calc(50% - 25px);}
   .row.row-num-caf, .row.row-num-mobile, .row.row-attestation-caf, .row.row-justificatif-cse {width: 50% !important;}
   .woocommerce-edit-address .woocommerce-address-fields__field-wrapper .form-row {width: calc(50% - 8px) !important; align-self: end;}
   .woocommerce-EditAccountForm.edit-account .row .woocommerce-form-row {width: calc(50% - 30px) !important;}
   h3#order_review_heading {height: max-content; grid-column: 2/3; grid-row: 1/2;}
   #order_review {grid-column: 2/3; grid-row: 2/auto;}
   #content .woocommerce form.checkout {display: grid; grid-template-columns: repeat(2, 1fr); grid-template-rows: 50px auto auto;  gap: 30px;}
   #content .woocommerce form.checkout>div#customer_details {display: flex; flex-wrap: wrap; grid-column: 1/2; grid-row: 1/3; }
   form .rubrique-fiche-sanitaire div>.acf-field-columngroup:nth-child(3) label { white-space: nowrap;}
   form .rubrique-fiche-sanitaire div>.acf-field-columngroup:nth-child(3) {flex:1;}
   .rubrique-autorisations + .column-layout-1_2, .rubrique-autorisations + .column-layout-1_2 + .column-layout-1_2 {width: 50% !important;}
   .rubrique-autorisations + .column-layout-1_2 {border-right: 0.5px solid rgba(6, 26, 72, .5) !important;}
   form .list-radio li {margin-right: 40px;}
   /*.id-famille:nth-child(2), .id-famille:nth-child(3) {width: calc(50% - 8px);}*/

}

